unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, MMClient, StdCtrls, ScktComp, jpeg;

type
  TForm2 = class(TForm)
    ClientSocket: TClientSocket;
    Panel1: TPanel;
    Panel2: TPanel;
    MMClient1: TMMClient;
    Label1: TLabel;
    Edit1: TEdit;
    Button1: TButton;
    Panel3: TPanel;
    Memo1: TMemo;
    procedure Button1Click(Sender: TObject);
    procedure ClientSocketRead(Sender: TObject; Socket: TCustomWinSocket);
    procedure ClientSocketConnect(Sender: TObject;
      Socket: TCustomWinSocket);
    procedure ClientSocketDisconnect(Sender: TObject;
      Socket: TCustomWinSocket);
    procedure ClientSocketError(Sender: TObject; Socket: TCustomWinSocket;
      ErrorEvent: TErrorEvent; var ErrorCode: Integer);
    procedure FormCreate(Sender: TObject);
    procedure MMClient1NewMessage(Sender: TObject; Msg: String);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
    procedure MemoAdd(Msg: String);
  end;

var
  Form2: TForm2;

implementation

{$R *.DFM}

procedure TForm2.MemoAdd(Msg: String);
begin
 while memo1.lines.count > 200 do Memo1.Lines.Delete(0);
 Memo1.Lines.Add(Msg);
end;

procedure TForm2.Button1Click(Sender: TObject);
begin
 if ClientSocket.Active then begin
  ClientSocket.Active := False;
 end else begin
  Button1.Enabled := False;
  ClientSocket.Host := Edit1.Text;
  ClientSocket.Active := True;
 end;

end;

procedure TForm2.ClientSocketRead(Sender: TObject; Socket: TCustomWinSocket);
var
 MyStream: TMemoryStream;
 MyBuff: Array[0..4095] of byte;
 b: Integer;
begin
 b := Socket.ReceiveBuf(MyBuff, SizeOf(MyBuff));

 MyStream := TMemoryStream.Create;
 try
  MyStream.Write(MyBuff, b);

  MMClient1.ProcessData(MyStream);
 finally
  MyStream.Free;
 end;

end;

procedure TForm2.ClientSocketConnect(Sender: TObject;
  Socket: TCustomWinSocket);
begin
 Button1.Enabled := True;
 Button1.Caption := '&Hangup';
end;

procedure TForm2.ClientSocketDisconnect(Sender: TObject;
  Socket: TCustomWinSocket);
begin
 Button1.Caption := '&Connect';
end;

procedure TForm2.ClientSocketError(Sender: TObject;
  Socket: TCustomWinSocket; ErrorEvent: TErrorEvent;
  var ErrorCode: Integer);
begin
 Button1.Enabled := True;
 ErrorCode := 0;
end;

procedure TForm2.FormCreate(Sender: TObject);
begin
 Memo1.Lines.Clear;

end;

procedure TForm2.MMClient1NewMessage(Sender: TObject; Msg: String);
begin
 MemoAdd(Msg);
end;

end.
